aboutsummaryrefslogtreecommitdiffstats
path: root/pgaas/src/stage/opt/app/pgaas/etc/update-db-secondary
diff options
context:
space:
mode:
authorHansen, Tony (th1395) <th1395@att.com>2018-03-29 12:57:06 +0000
committerHansen, Tony (th1395) <th1395@att.com>2018-03-29 12:57:23 +0000
commitbd5129dbad044907bd1818b2f8cda3c60da9b3e8 (patch)
treeedc355d63e440a87a1c97ad65357681f279e6ba0 /pgaas/src/stage/opt/app/pgaas/etc/update-db-secondary
parent4e1b45a2e3e474606965ca3b66bd5f82f526b0ce (diff)
remove most of this code for R2 Beijing
This package is not being used in R2 Beijing because of the move to Kubernetes with OOM. If you need this package, use the R1 Amsterdam release packages. I'm not removing the repo though because it is likely that we will need to add things in R3 Casablanca. Change-Id: I40a46886cfa2f3803f97918ad5cea149f5fcf696 Signed-off-by: Hansen, Tony (th1395) <th1395@att.com> Issue-ID: CCSDK-231
Diffstat (limited to 'pgaas/src/stage/opt/app/pgaas/etc/update-db-secondary')
-rw-r--r--pgaas/src/stage/opt/app/pgaas/etc/update-db-secondary95
1 files changed, 0 insertions, 95 deletions
diff --git a/pgaas/src/stage/opt/app/pgaas/etc/update-db-secondary b/pgaas/src/stage/opt/app/pgaas/etc/update-db-secondary
deleted file mode 100644
index e06c810..0000000
--- a/pgaas/src/stage/opt/app/pgaas/etc/update-db-secondary
+++ /dev/null
@@ -1,95 +0,0 @@
-#!/bin/bash
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this code except in compliance
-# with the License. You may obtain a copy of the License
-# at http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied. See the License for the specific language governing
-# permissions and limitations under the License.
-
-
-# update a secondary database
-set -x
-
-die()
-{
- echo $0: "$@" 1>&2
- echo $0: "$@"
- umask 022
- echo $0: "$@" >> /tmp/pgaas-failures
- exit 1
-}
-
-[ -n "$MASTER" ] || die "MASTER is not set"
-[ -n "$PGDIR" ] || die "PGDIR is not set"
-[ -n "$DBROOT" ] || die "DBROOT is not set"
-[ -n "$CFGDIR" ] || die "CFGDIR is not set"
-
-cd $CFGDIR/main || die "Cannot cd $CFGDIR/main"
-
-PATH=${INSTALL_ROOT}/opt/app/pgaas/bin:$CFGDIR/etc:$PGDIR/bin:$PATH
-
-umask 077
-TMP=$(mktemp /tmp/tmp.uds1.XXXXXXXXXX)
-trap 'rm -f $TMP' 0 1 2 3 15
-
-# update postgresql.conf - got new ones
-# update pg_hba.conf - got new ones
-# set up repmgr.conf - in common
-
-# replace/update recovery.conf
-if [ -f $DBROOT/recovery.conf ];then mv $DBROOT/recovery.conf $DBROOT/recovery.conf.upgraded;fi
-$CFGDIR/etc/gen-recovery.conf
-
-# wait until master DB is active and has repmgr available
-max=40
-for s in `seq $max`
-do
- echo "$s of $max: Asking master $MASTER if repmgr is ready"
- pgwget --progress=dot:giga -O$TMP http://$MASTER:8000/hasrepmgr
- if [ -s $TMP ]
- then
- msg=$(cat $TMP)
- case $msg in
- OK* )
- echo "Master has repmgr ready"
- done=yes
- break
- ;;
- * )
- echo "Master does not have repmgr ready, msg=$msg"
- ;;
- esac
- fi
- rm -f $TMP
- sleep 15
-done
-[ "$done" = "yes" ] || die "Master never had repmgr available"
-
-
-$CFGDIR/etc/start-db
-
-sleep 10
-
-# make sure the postgres password is right
-$CFGDIR/etc/update-postgres-user
-
-# register as standby
-repmgr -f $CFGDIR/main/repmgr.conf standby register
-echo repmgr ret=$?
-sleep 10
-
-# start repmgrd
-# start repmgrd (verbose logging for testing)
-umask 07
-repmgrd -f $CFGDIR/main/repmgr.conf -d --verbose
-echo repmgrd ret=$?
-# start repmgrd (normal logging)
-# repmgrd -f $CFGDIR/main/repmgr.conf -d
-
-chmod 600 recovery.conf